<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
         version="3.1">

    <!--监听器-->
    <listener>
        <listener-class>com.cpic.telsale.SessionListener.SessionListener</listener-class>
    </listener>

    <!--参数-->
    <session-config>
        <session-timeout>10</session-timeout>
    </session-config>

    <!--全局的参数-->
    <context-param>
        <param-name>临时文件根目录</param-name>
        <param-value>temporaryFiles</param-value>
    </context-param>
    <context-param>
        <param-name>oracleURL</param-name>
        <param-value>jdbc:oracle:thin:@10.39.0.86:1521:xmcx1</param-value>
    </context-param>
    <context-param>
        <param-name>oracleUserName</param-name>
        <param-value>telsale</param-value>
    </context-param>
    <context-param>
        <param-name>oraclePassword</param-name>
        <param-value>cpic123456</param-value>
    </context-param>
    <context-param>
        <param-name>informixURL</param-name>
        <param-value>jdbc:informix-sqli://10.39.0.92:16192/ywgl_xm:INFORMIXSERVER=xmcx2;newcodeset=GBK,8859-1,819;user=ccx99;password=c92IT09</param-value>
    </context-param>
    <context-param>
        <param-name>telsalePolicyOperatorListTableName</param-name>
        <param-value>w_dxbd_i</param-value>
    </context-param>

    <!--Servlet设置-->
    <servlet>
        <servlet-name>UploadDataProcessor</servlet-name>
        <servlet-class>com.cpic.telsale.uploadData.uploadDataProcessor</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>UploadDataProcessor</servlet-name>
        <url-pattern>/upload-policy-data</url-pattern>
    </servlet-mapping>

</web-app>